--- /usr/bin/pkgstats	2011-05-16 18:13:15.000000000 +0200
+++ pkgstats	2012-07-26 01:11:27.692925356 +0200
@@ -34,15 +34,29 @@
 
 ${quiet} || echo 'Collecting data...'
 pkglist="$(mktemp --tmpdir pkglist.XXXXXX)"
+moduleslist="$(mktemp --tmpdir modules.XXXXXX)"
+cat /proc/modules | awk '{ print $1 }' > "${moduleslist}"
 pacman -Qq > "${pkglist}"
 arch="$(uname -m)"
+kernel="$(uname -r)"
 mirror="$(pacman -Sddp extra/pkgstats 2>/dev/null | sed -E 's#(.*/)extra/os/.*#\1#;s#(.*://).*@#\1#')"
 
+if [ -e sys/fs/cgroup/systemd ]; then
+	systemd="yes"
+else
+	systemd="no"
+fi
+
 if ${showonly}; then
 	echo 'packages='
 	cat  "${pkglist}"
 	echo ''
+	echo 'modules='
+	cat "${moduleslist}"
+	echo ''
+	echo "kernel=${kernel}"
 	echo "arch=${arch}"
+	echo "systemd=${systemd}"
 	echo "pkgstatsver=${pkgstatsver}"
 	echo "mirror=${mirror}"
 	echo "quiet=${quiet}"
@@ -51,7 +65,10 @@
 	curl ${option} -H 'Expect: ' \
 		-A "pkgstats/${pkgstatsver}" \
 		--data-urlencode "packages@${pkglist}" \
+		--data-urlencode "modules@${moduleslist}" \
 		--data-urlencode "arch=${arch}" \
+		--data-urlencode "kernel=${kernel}" \
+		--data-urlencode "systemd=${systemd}" \
 		--data-urlencode "mirror=${mirror}" \
 		--data-urlencode "quiet=${quiet}" \
 		'https://www.archlinux.de/?page=PostPackageList' \
